TrackerClass
3
LIBTRACKER-COMMON Library

# TrackerClass

## Synopsis

    TrackerClass *      tracker_class_new                   (void);
    const gchar *       tracker_class_get_uri               (TrackerClass *service);
    const gchar *       tracker_class_get_name              (TrackerClass *service);
    gint                tracker_class_get_count             (TrackerClass *service);
    TrackerClass **     tracker_class_get_super_classes     (TrackerClass *service);
    void                tracker_class_set_uri               (TrackerClass *service,
                                                             const gchar *value);
    void                tracker_class_set_count             (TrackerClass *service,
                                                             gint value);
    void                tracker_class_set_super_classes     (TrackerClass *self,
                                                             TrackerClass **super_classes);
    void                tracker_class_add_super_class       (TrackerClass *self,
                                                             TrackerClass *value);

## Description

## Details

### tracker_class_new ()

    TrackerClass *      tracker_class_new                   (void);

Returns :

### tracker_class_get_uri ()

    const gchar *       tracker_class_get_uri               (TrackerClass *service);

`service` :

Returns :

### tracker_class_get_name ()

    const gchar *       tracker_class_get_name              (TrackerClass *service);

`service` :

Returns :

### tracker_class_get_count ()

    gint                tracker_class_get_count             (TrackerClass *service);

`service` :

Returns :

### tracker_class_get_super_classes ()

    TrackerClass **     tracker_class_get_super_classes     (TrackerClass *service);

`service` :

Returns :

### tracker_class_set_uri ()

    void                tracker_class_set_uri               (TrackerClass *service,
                                                             const gchar *value);

`service` :

`value` :

### tracker_class_set_count ()

    void                tracker_class_set_count             (TrackerClass *service,
                                                             gint value);

`service` :

`value` :

### tracker_class_set_super_classes ()

    void                tracker_class_set_super_classes     (TrackerClass *self,
                                                             TrackerClass **super_classes);

`self` :

`super_classes` :

### tracker_class_add_super_class ()

    void                tracker_class_add_super_class       (TrackerClass *self,
                                                             TrackerClass *value);

`self` :

`value` :